SoGLMultiTextureEnabledElement(3)

NAME
SoGLMultiTextureEnabledElement - The SoGLMultiTextureEnabledElement class is an element which controls whether texturing is enabled or not.

SYNOPSIS

#include <Inventor/elements/SoGLMultiTextureEnabledElement.h>

Inherits SoMultiTextureEnabledElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
virtual void setElt (const int unit, const int mode)
Public Member Functions inherited from SoMultiTextureEnabledElement
virtual SbBool matches (const SoElement *elem) const
SoElement * copyMatchInfo (void) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
void setDepth (const int depth)
int getDepth (void) const
virtual void print (FILE *file=stdout) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Static Public Member Functions inherited from SoMultiTextureEnabledElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, const int unit, const SbBool enabled)
static SbBool get (SoState *state, const int unit=0)
static const SbBool * getEnabledUnits (SoState *state, int &lastenabled)
static const Mode * getActiveUnits (SoState *state, int &lastenabled)
static void enableRectangle (SoState *state, SoNode *node, const int unit=0)
static void enableCubeMap (SoState *state, SoNode *node, const int unit=0)
static void enableTexture3 (SoState *state, SoNode *node, const int unit=0)
static Mode getMode (SoState *state, const int unit=0)
static void disableAll (SoState *state)
static void set (SoState *state, const SbBool enabled)
static void set (SoState *state, SoNode *node, const SbBool enabled)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoGLMultiTextureEnabledElement ()
Protected Member Functions inherited from SoMultiTextureEnabledElement
SoMultiTextureEnabledElement (void)
virtual ~SoMultiTextureEnabledElement ()
int getMaxUnits () const
SbBool isEnabled (const int unit) const
Mode getMode (const int unit) const
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Public Types inherited from SoMultiTextureEnabledElement
enum Mode { DISABLED = 0, TEXTURE2D, RECTANGLE, CUBEMAP, TEXTURE3D }
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoGLMultiTextureEnabledElement class is an element which controls whether texturing is enabled or not.

Constructor & Destructor Documentation

  SoGLMultiTextureEnabledElement::~SoGLMultiTextureEnabledElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLMultiTextureEnabledElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLMultiTextureEnabledElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoGLMultiTextureEnabledElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLMultiTextureEnabledElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLMultiTextureEnabledElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoMultiTextureEnabledElement.

  void SoGLMultiTextureEnabledElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoMultiTextureEnabledElement.

  void SoGLMultiTextureEnabledElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLMultiTextureEnabledElement::setElt (const int unit, const int mode_in) [virtual]
virtual element set function.

Reimplemented from SoMultiTextureEnabledElement.

Author

Generated automatically by Doxygen for Coin from the source code.